[ruby-opengl-devel] Release 0.40.0 of ruby-opengl

Jan Dvorak jan.dvorak at kraxnet.cz
Thu Jul 19 16:41:39 EDT 2007


On Thursday 19 July 2007 09:45, James Adam wrote:
> I had to make a small addition to ext/common/common.h, because
> APIENTRY wasn't defined (MacOSX 10.4.10 here). I'll commit my change
> into the trunk.
>
> You may wish to merge from revisions 203-206 into the 0.40.0 tag,
> because without this APIENTRY definition the GL code doesn't compile
> for me at all...
My error, we shouldn't depend on gl.h declaring APIENTRY for compatibility. 
Thanks for the fix. Also, this isn't just Mac thing, it applies for all OS 
except Windows (they have to always have something extra :) ), so i removed 
the #ifdef APPLE guards.

> James
Thanks,
Jan


More information about the ruby-opengl-devel mailing list